#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/eeprom.h>
#include "swuart.h"



/* 
 * sendet ber den SW-UART empfangene bytes zurck
 */
int main( void )
{
  // Initialisiere den SW-UART
  swuart_init( );

  // aktiviere die Interrupts
  sei( );
	
  uint8_t data = 85;

  uint8_t eeadr = 0x10;
  for( ; ; )
  {
  	 // Wenn Daten am SW-UART angekommen sind
     if ( swuart_getstate () == DATA_PENDING) {
	 	// hole diese ab
     	data = swuart_getchar();
		// und sende sie zurck
//		while (swuart_getstate () != IDLE) ;
 	 	swuart_putchar(data);
		eeprom_write_byte(eeadr++, data);
	 }

  }
}

